Skip to main content
GET
Query Users

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

keyword
string

Keyword to search for in user information such as displayName, profileHandle, and userId. The search is case-insensitive and supports partial matches.

Maximum string length: 100
exactMatchKeyword
boolean
default:false

Return exact match search result when true

filter
enum<string>
default:all

Filter users either by all users or only flagged users

Available options:
all,
flagged
sortBy
enum<string>
default:displayName

Sort users by specified criteria default to displayName.

Available options:
firstCreated,
lastCreated,
displayName,
profileHandle
searchBy
enum<string>[]

Fields to search users for the keyword (must be used with a keyword parameter), Default is all three fields

  • displayName - Search by display name. When using with sortBy parameter the applicable sort order is displayName, lastCreated or firstCreated. Default to displayName.
  • profileHandle - Search by profile handle, when using with sortBy parameter the applicable sort order is profileHandle, lastCreated or firstCreated. Default to profileHandle.
  • userId - Search by user id, when using with sortBy parameter the applicable sort order is lastCreated, firstCreated or displayName. Default to displayName.
    Default is all three fields
Maximum array length: 3
Available options:
displayName,
profileHandle,
userId
options[limit]
integer
default:10

Number of results per page (1-100)

Required range: 1 <= x <= 100
options[token]
string

Pagination token for getting next/previous pages

Maximum string length: 100
isDeleted
boolean
default:false

filter only deleted users when true

Response

User

users
object[]
files
object[]
roles
object[]
paging
object